Bug 12144 - Graphical boot screen kills bios POST
Graphical boot screen kills bios POST
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Florence Gold
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-06-12 14:43 EDT by Hans de Goede
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-19 05:36:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2000-06-12 14:43:40 EDT
The graphical boot screen kills the bios POST screen, even if exited with
CTRL-X, the bios POST screen is an important diagnostic tool for new
hardware installs, and hence this is a mis feature. Although I would prefer
the grapihcal screen to go away entirely. I think that making a copy of the
text screen before throwing up the graphical screen and restoring this when
CTRL-X is pressed is a must, this is AFAIK, also what win9x does when you
press ESC.
Comment 1 Hans de Goede 2000-07-01 04:06:38 EDT
Just adding a comment to get a mail of this for my archive (mailing was broken
at the time I entered this)
Comment 2 Glen Foster 2001-01-11 16:06:09 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 3 Nalin Dahyabhai 2001-02-15 01:02:53 EST
Removing the "messages" directive from /etc/lilo.conf and reinstalling lilo (by
running "/sbin/lilo") will cause LILO to use only the older text-only interface.
Comment 4 Hans de Goede 2001-02-15 03:33:22 EST
I know,

Thats not the point, what if I never get into linux because of a bios setup
error, which I can't see because my boot screen is gone?

Come on how hard can it be to just save the VGAcards textbuffer before showing
the pretty screen, and restoring it when someone switches back to textmode.
Comment 5 Hans de Goede 2001-02-19 05:36:09 EST
I've thought a bit about this, and this is not an acceptable solution to me,
thus I'm changing the to resolved -> deferred and setting the priority low, and
the sevirty to enhancement.

Note You need to log in before you can comment on or make changes to this bug.